package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapGigiKiriSatu_T")
public class PapGigiKiriSatu extends BaseTransaction{
	@JsonBackReference   
	@OneToOne(cascade=CascadeType.ALL) 
	@JoinColumn(name = "ObjectPapGigiMulutFk")
	@NotNull(message = "PapGigiMulut tidak boleh kosong")
	private PapGigiMulut papGigiMulut;
	
	@Column(name = "ObjectPapGigiMulutFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papGigiMulutId;

	@Column(name = "sebelas", nullable = true)
	@Caption(value = "sebelas")
	private String sebelas;

	@Column(name = "duabelas", nullable = true)
	@Caption(value = "duabelas")
	private String duabelas;

	@Column(name = "tigabelas", nullable = true)
	@Caption(value = "tigabelas")
	private String tigabelas;

	@Column(name = "empatbelas", nullable = true)
	@Caption(value = "empatbelas")
	private String empatbelas;

	@Column(name = "limabelas", nullable = true)
	@Caption(value = "limabelas")
	private String limabelas;
	
	@Column(name = "enambelas", nullable = true)
	@Caption(value = "enambelas")
	private String enambelas;
	
	@Column(name = "tujuhbelas", nullable = true)
	@Caption(value = "tujuhbelas")
	private String tujuhbelas;
	
	@Column(name = "delapanbelas", nullable = true)
	@Caption(value = "delapanbelas")
	private String delapanbelas;
	
	public String getSebelas() {
		return sebelas;
	}
	public void setSebelas(String sebelas) {
		this.sebelas = sebelas;
	}
	public String getDuabelas() {
		return duabelas;
	}
	public void setDuabelas(String duabelas) {
		this.duabelas = duabelas;
	}
	public String getTigabelas() {
		return tigabelas;
	}
	public void setTigabelas(String tigabelas) {
		this.tigabelas = tigabelas;
	}
	public String getEmpatbelas() {
		return empatbelas;
	}
	public void setEmpatbelas(String empatbelas) {
		this.empatbelas = empatbelas;
	}
	public String getLimabelas() {
		return limabelas;
	}
	public void setLimabelas(String limabelas) {
		this.limabelas = limabelas;
	}
	public String getEnambelas() {
		return enambelas;
	}
	public void setEnambelas(String enambelas) {
		this.enambelas = enambelas;
	}
	public String getTujuhbelas() {
		return tujuhbelas;
	}
	public void setTujuhbelas(String tujuhbelas) {
		this.tujuhbelas = tujuhbelas;
	}
	public String getDelapanbelas() {
		return delapanbelas;
	}
	public void setDelapanbelas(String delapanbelas) {
		this.delapanbelas = delapanbelas;
	}
	public PapGigiMulut getPapGigiMulut() {
		return papGigiMulut;
	}
	public void setPapGigiMulut(PapGigiMulut papGigiMulut) {
		this.papGigiMulut = papGigiMulut;
	}
	
}
